package org.gnu.glade;

import java.lang.reflect.Method;

import org.gnu.gtk.event.LifeCycleEvent;
import org.gnu.gtk.event.LifeCycleListener;

/**
 * LifeCycleListener delegate class.
 *
 * @author Tom Ball
 */
class LifeCycleDelegate extends ListenerDelegate implements LifeCycleListener {

	public LifeCycleDelegate(String signal, Object owner, Method handler, Object target) throws NoSuchMethodException {
		super(signal, owner, handler, target);
	}

	public void lifeCycleEvent(LifeCycleEvent event) {
		fireEvent(event);
	}
	
	public boolean lifeCycleQuery(LifeCycleEvent event) {
		return fireEvent(event);
	}
}
